local FOLDER_NAME, private = ...
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vanmats = {
    ["id"] = { 10940, 10938, 10939, 11083, 10998, 11082, 10978, 11084, 11137, 11134, 11135, 11138, 11139, 11176, 11174, 11175, 11177, 11178, 16204, 16202, 16203, 14343, 14344 },
    ["itype"] = { 0, 1, 2, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4, 0, 1, 2, 3, 4 },
    ["strings"] = { L["Strange Dust"], L["Magic Essence"], L["Magic Essence"], L["Soul Dust"], L["Astral Essence"], L["Astral Essence"], L["Glimmering Shard"], L["Glimmering Shard"], L["Vision Dust"], L["Mystic Essence"], L["Mystic Essence"], L["Glowing Shard"], L["Glowing Shard"], L["Dream Dust"], L["Nether Essence"], L["Nether Essence"], L["Radiant Shard"], L["Radiant Shard"], L["Illusion Dust"], L["Eternal Essence"], L["Eternal Essence"], L["Brilliant Shard"], L["Brilliant Shard"] },
    ["short"] = { L["S_Strange Dust"], L["S_Magic Essence"], L["S_Magic Essence"], L["S_Soul Dust"], L["S_Astral Essence"], L["S_Astral Essence"], L["S_Glimmering Shard"], L["S_Glimmering Shard"], L["S_Vision Dust"], L["S_Mystic Essence"], L["S_Mystic Essence"], L["S_Glowing Shard"], L["S_Glowing Shard"], L["S_Dream Dust"], L["S_Nether Essence"], L["S_Nether Essence"], L["S_Radiant Shard"], L["S_Radiant Shard"], L["S_Illusion Dust"], L["S_Eternal Essence"], L["S_Eternal Essence"], L["S_Brilliant Shard"], L["S_Brilliant Shard"] },
    ["color"] = { "7fffd4", "1589ff", "1589ff", "6960ec", "ffb249", "ffb249", "43c6db", "43c6db", "6beeff", "b93b8f", "b93b8f", "ffbdff", "ffbdff", "e8adaa", "77ff35", "77ff35", "c45aec", "c45aec", "c48793", "6698ff", "6698ff", "ffcc66", "ffcc66" }
}
local bcmats = {
    ["id"] = { 22445, 22447, 22446, 22448, 22449, 22450 },
    ["itype"] = { 0, 1, 2, 3, 4, 0 },
    ["strings"] = { L["Arcane Dust"], L["Planar Essence"], L["Planar Essence"], L["Prismatic Shard"], L["Prismatic Shard"], L["Void Crystal"] },
    ["short"] = { L["S_Arcane Dust"], L["S_Planar Essence"], L["S_Planar Essence"], L["S_Prismatic Shard"], L["S_Prismatic Shard"], L["S_Void Crystal"] },
    ["color"] = { "ff3fb4", "b048b5", "b048b5", "368bc1", "368bc1", "b65dff" }
}
local lkmats = {
    ["id"] = { 34054, 34056, 34055, 34053, 34052, 34057 },
    ["itype"] = { 0, 1, 2, 3, 4, 0 },
    ["strings"] = { L["Infinite Dust"], L["Cosmic Essence"], L["Cosmic Essence"], L["Dream Shard"], L["Dream Shard"], L["Abyss Crystal"] },
    ["short"] = { L["S_Infinite Dust"], L["S_Cosmic Essence"], L["S_Cosmic Essence"], L["S_Dream Shard"], L["S_Dream Shard"], L["S_Abyss Crystal"] },
    ["color"] = { "5cb3ff", "bb5edb", "bb5edb", "82cafa", "82cafa", "3090c7" }
}
local catamats = {
    ["id"] = { 52555, 52718, 52719, 52720, 52721, 52722 },
    ["itype"] = { 0, 1, 2, 3, 4, 0 },
    ["strings"] = { L["Hypnotic Dust"], L["Celestial Essence"], L["Celestial Essence"], L["Heavenly Shard"], L["Heavenly Shard"], L["Maelstrom Crystal"] },
    ["short"] = { L["S_Hypnotic Dust"], L["S_Celestial Essence"], L["S_Celestial Essence"], L["S_Heavenly Shard"], L["S_Heavenly Shard"], L["S_Maelstrom Crystal"] },
    ["color"] = { "7fffd4", "76e0f5", "76e0f5", "f77959", "f77959", "7959f7" }
}
local mopmats = {
    ["id"] = { 74249, 74250, 74252, 74247, 105718, 74248, 80433, 94289, 102218 },
    ["itype"] = { 0, 0, 3, 0, 0, 0, 0, 0, 0 },
    ["strings"] = { L["Spirit Dust"], L["Mysterious Essence"], L["Ethereal Shard"], L["Ethereal Shard"], L["Sha Crystal Fragment"], L["Sha Crystal"], L["Blood Spirit"], L["Haunting Spirit"], L["Spirit of War"] },
    ["short"] = { L["S_Spirit Dust"], L["S_Mysterious Essence"], L["S_Ethereal Shard"], L["S_Ethereal Shard"], L["S_Sha Crystal Fragment"], L["S_Sha Crystal"], L["S_Blood Spirit"], L["S_Haunting Spirit"], L["S_Spirit of War"] },
    ["color"] = { "ffc9a9", "14ff14", "00aaff", "00aaff", "aa00ff", "aa00ff", "f34d49", "ff7eff", "eb2400" }
}
local wodmats = {
    ["id"] = { 109693, 111245, 115504, 113588 },
    ["strings"] = { L["Draenic Dust"], L["Luminous Shard"], L["Fractured Temporal Crystal"], L["Temporal Crystal"] },
    ["itype"] = { 0, 0, 0, 0 },
    ["short"] = { L["S_Draenic Dust"], L["S_Luminous Shard"], L["S_Fractured Temporal Crystal"], L["S_Temporal Crystal"] },
    ["color"] = { "ffff4d", "e5c100", "4dff4d", "4dff4d" }
}
local legmats = {
    ["id"] = { 124440, 124441, 124442 },
    ["strings"] = { L["Arkhana"], L["Leylight Shard"], L["Chaos Crystal"] },
    ["itype"] = { 0, 0, 0, 0 },
    ["short"] = { L["S_Arkhana"], L["S_Leylight Shard"], L["S_Chaos Crystal"] },
    ["color"] = { "8cd5e1", "e14fbb", "00cf0e" }
}

private.vanmats = vanmats
private.bcmats = bcmats
private.lkmats = lkmats
private.catamats = catamats
private.mopmats = mopmats
private.wodmats = wodmats
private.legmats = legmats